Package org.springframework.cglib.transform

# Class MethodFilterTransformer

java.lang.Object
org.springframework.asm.ClassVisitor
org.springframework.cglib.core.ClassTransformer
org.springframework.cglib.transform.AbstractClassTransformer
org.springframework.cglib.transform.MethodFilterTransformer

public class MethodFilterTransformer extends AbstractClassTransformer

## Field Summary

### Fields inherited from class org.springframework.asm.ClassVisitor

`api, cv`

## Constructor Summary

Constructors
Constructor
Description
`MethodFilterTransformer(MethodFilter filter, ClassTransformer pass)`

## Method Summary

Modifier and Type
Method
Description
`void`
`setTarget(ClassVisitor target)`
`MethodVisitor`
`visitMethod(int access, String name, String desc, String signature, String[] exceptions)`
Visits a method of the class.

### Methods inherited from class org.springframework.asm.ClassVisitor

`getDelegate, visit, visitAnnotation, visitAttribute, visitEnd, visitField, visitInnerClass, visitModule, visitNestHost, visitNestMember, visitOuterClass, visitPermittedSubclass, visitRecordComponent, visitSource, visitTypeAnnotation`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### MethodFilterTransformer

public MethodFilterTransformer(MethodFilter filter, ClassTransformer pass)

## Method Details

### visitMethod

public MethodVisitor visitMethod(int access, String name, String desc, String signature, String[] exceptions)
Description copied from class: `ClassVisitor`
Visits a method of the class. This method must return a new `MethodVisitor` instance (or null) each time it is called, i.e., it should not return a previously returned visitor.

Overrides:
  `visitMethod` in class `ClassVisitor`
Parameters:
  `access` - the method's access flags (see `Opcodes`). This parameter also indicates if the method is synthetic and/or deprecated.
  `name` - the method's name.
  `desc` - the method's descriptor (see `Type`).
  `signature` - the method's signature. May be null if the method parameters, return type and exceptions do not use generic types.
  `exceptions` - the internal names of the method's exception classes (see `Type.getInternalName()`). May be null.
Returns:
  an object to visit the byte code of the method, or null if this class visitor is not interested in visiting the code of this method.

### setTarget

public void setTarget(ClassVisitor target)

Overrides:
  `setTarget` in class `AbstractClassTransformer`